function I = myimresize2(I, scale)
    I = im2double(I);
    oldrows = size(I,1);
    oldcols = size(I,2);
    newrows = round(scale*oldrows);
    newcols = round(scale*oldcols);

    x = linspace(1,oldrows,newrows);
    y = linspace(1,oldcols,newcols);

    x1 = floor(x);
    x2 = ceil(x);
    y1 = floor(y);
    y2 = ceil(y);

    a00 = I(x1,y1,:);
    a10 = I(x2,y1,:) - I(x1,y1,:);
    a01 = I(x1,y2,:) - I(x1,y1,:);
    a11 = I(x2,y2,:) + I(x1,y1,:) - (I(x2,y1,:) + I(x1,y2,:));

    I = a00 + a10.*repmat((x-x1)',1,newcols) + a01.*repmat((y-y1),newrows,1) + a11.*((x-x1)'*(y-y1));
end